Bug 1123949 - [Sprint 49] Section 9.1.3 "oo-admin-chk" example with -l option is missing value for -l
Summary: [Sprint 49] Section 9.1.3 "oo-admin-chk" example with -l option is missing va...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Timothy
QA Contact: Alex Dellapenta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 17:33 UTC by Miciah Dashiel Butler Masters
Modified: 2017-03-08 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 20822, Administration Guide-2-1.0 Build Date: 09-07-2014 13:30:27 Topic ID: 20801-592382 [Latest]
Last Closed: 2014-09-15 04:57:19 UTC


Attachments (Terms of Use)

Description Miciah Dashiel Butler Masters 2014-07-28 17:33:51 UTC
Title: oo-admin-chk example with -l option is missing value for -l

Describe the issue:

The unnumbered example at the end of Section 9.1.3 comprises the command `oo-admin-chk -l -v`, but the -l option expects a value.

The command does work, but only by accident, and the options do not have the intended effects.  In the example given, the -v flag is taken to be the value for the -l option.  However, the -l option expects a non-negative integer.  Because -v is not an integer, the -l option gets its default value of 0.  Furthermore, because the "-v" argument is taken as the value to the -l option the "-v" argument is not interpreted as a separate option, so it is essentially ignored.

https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Administration_Guide/index.html#oo-admin-chk1

Suggestions for improvement:

The example should have "oo-admin-chk -l 1 -v" (all values >= 1 are equivalent).

Comment 2 Timothy 2014-08-18 02:32:46 UTC
DOC UPDATE: Revised OpenShift Enterprise Administration Guide to provide a value for the oo-admin-chk  -l option


Note You need to log in before you can comment on or make changes to this bug.